module Devops
  class Application

    @@applications = []

    def self.inherited(base)
      @@applications << base.new
      puts "Devops application '#{base}' has been added" unless ENV['RACK_ENV'] == 'test'
    end

    def self.applications
      @@applications
    end

    def self.root
      File.expand_path(File.dirname(__FILE__) + '/..')
    end

    def prepare

    end

    def init

    end

    def routes
    end
  end
end
